=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-06-26 00:37:27 +0000
+++ client/drizzle.cc	2009-06-30 18:09:07 +0000
@@ -273,7 +273,7 @@
   { "?",      '?', com_help,   0, N_("Synonym for `help'.") },
   { "clear",  'c', com_clear,  0, N_("Clear command.")},
   { "connect",'r', com_connect,1,
-    N_("Reconnect to the server. Optional arguments are db and host." }),
+    N_("Reconnect to the server. Optional arguments are db and host.")},
   { "delimiter", 'd', com_delimiter,    1,
     N_("Set statement delimiter. NOTE: Takes the rest of the line as new delimiter.") },
   { "ego",    'G', com_ego,    0,
@@ -1596,9 +1596,9 @@
 {
   const char* readline= "readline";
 
-  printf(_("%s  Ver %s Distrib %s, for %s (%s) using %s %s\n"),
+  printf(_("%s  Ver %s Distrib %s, for %s-%s (%s) using %s %s\n"),
          my_progname, VER.c_str(), drizzle_version(),
-         SYSTEM_TYPE, MACHINE_TYPE,
+         HOST_VENDOR, HOST_OS, HOST_CPU,
          readline, rl_library_version);
 
   if (version)

=== modified file 'client/drizzlecheck.cc'
--- client/drizzlecheck.cc	2009-06-16 01:22:25 +0000
+++ client/drizzlecheck.cc	2009-06-30 18:11:07 +0000
@@ -20,7 +20,6 @@
 #include "client_priv.h"
 #include <vector>
 #include <string>
-#include <mystrings/m_ctype.h>
 
 /* Added this for string translation. */
 #include <drizzled/gettext.h>
@@ -50,12 +49,9 @@
 static int my_end_arg;
 static char * opt_drizzle_unix_port= NULL;
 static char *opt_password= NULL, *current_user= NULL,
-      *default_charset= (char *)DRIZZLE_DEFAULT_CHARSET_NAME,
       *current_host= NULL;
 static int first_error= 0;
 
-static const CHARSET_INFO *charset_info= &my_charset_utf8_general_ci;
-
 enum operations { DO_CHECK, DO_ANALYZE, DO_OPTIMIZE, DO_UPGRADE };
 
 static struct my_option my_long_options[] =
@@ -88,9 +84,6 @@
   {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
    (char**) &debug_info_flag, (char**) &debug_info_flag,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"default-character-set", OPT_DEFAULT_CHARSET,
-   "Set the default character set.", (char**) &default_charset,
-   (char**) &default_charset, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"fast",'F', "Check only tables that haven't been closed properly.",
    (char**) &opt_fast, (char**) &opt_fast, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
    0},
@@ -179,8 +172,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n", my_progname, CHECK_VERSION,
-         drizzle_version(), SYSTEM_TYPE, MACHINE_TYPE);
+  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n", my_progname, CHECK_VERSION,
+         drizzle_version(), HOST_VENDOR, HOST_OS, HOST_CPU);
 } /* print_version */
 
 static void usage(void)
@@ -240,12 +233,10 @@
     break;
   case OPT_FIX_DB_NAMES:
     what_to_do= DO_UPGRADE;
-    default_charset= (char*) "utf8";
     opt_databases= 1;
     break;
   case OPT_FIX_TABLE_NAMES:
     what_to_do= DO_UPGRADE;
-    default_charset= (char*) "utf8";
     break;
   case 'p':
     temp_drizzle_port= (uint64_t) strtoul(argument, &endchar, 10);
@@ -343,10 +334,6 @@
       what_to_do = DO_CHECK;
   }
 
-  /* TODO: This variable is not yet used */
-  if (strcmp(default_charset, charset_info->csname) &&
-      !(charset_info= get_charset_by_csname(default_charset, MY_CS_PRIMARY)))
-      exit(1);
   if (*argc > 0 && opt_alldbs)
   {
     printf("You should give only options, no arguments at all, with option\n");

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-06-12 01:15:16 +0000
+++ client/drizzledump.cc	2009-06-30 18:09:07 +0000
@@ -115,14 +115,6 @@
 FILE *md_result_file= 0;
 FILE *stderror_file= 0;
 
-/*
-  Constant for detection of default value of default_charset.
-  If default_charset is equal to drizzle_universal_client_charset, then
-  it is the default value which assigned at the very beginning of main().
-*/
-static const char *drizzle_universal_client_charset=
-  DRIZZLE_UNIVERSAL_CLIENT_CHARSET;
-static char *default_charset;
 static const CHARSET_INFO *charset_info= &my_charset_utf8_general_ci;
 
 const char *compatible_mode_names[]=
@@ -199,9 +191,6 @@
   {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
    (char**) &debug_info_flag, (char**) &debug_info_flag,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"default-character-set", OPT_DEFAULT_CHARSET,
-   "Set the default character set.", (char**) &default_charset,
-   (char**) &default_charset, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"delayed-insert", OPT_DELAYED, "Insert rows with INSERT DELAYED; ",
    (char**) &opt_delayed, (char**) &opt_delayed, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
    0, 0},
@@ -402,8 +391,8 @@
 
 static void print_version(void)
 {
-  printf(_("%s  Ver %s Distrib %s, for %s (%s)\n"),my_progname,DUMP_VERSION,
-         drizzle_version(),SYSTEM_TYPE,MACHINE_TYPE);
+  printf(_("%s  Ver %s Distrib %s, for %s-%s (%s)\n"),my_progname,DUMP_VERSION,
+         drizzle_version(),HOST_VENDOR,HOST_OS,HOST_CPU);
 } /* print_version */
 
 
@@ -455,8 +444,8 @@
     if (opt_comments)
     {
       fprintf(sql_file,
-              "-- DRIZZLE dump %s  Distrib %s, for %s (%s)\n--\n",
-              DUMP_VERSION, drizzle_version(), SYSTEM_TYPE, MACHINE_TYPE);
+              "-- DRIZZLE dump %s  Distrib %s, for %s-%s (%s)\n--\n",
+              DUMP_VERSION, drizzle_version(), HOST_VENDOR, HOST_OS, HOST_CPU);
       fprintf(sql_file, "-- Host: %s    Database: %s\n",
               current_host ? current_host : "localhost", db_name ? db_name :
               "");
@@ -467,8 +456,7 @@
     }
     if (opt_set_charset)
       fprintf(sql_file,
-"\nSET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION;"
-"\nSET NAMES %s;\n",default_charset);
+"\nSET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION;\n");
 
     if (!path)
     {
@@ -680,13 +668,6 @@
       }
       if (end!=compatible_mode_normal_str)
         end[-1]= 0;
-      /*
-        Set charset to the default compiled value if it hasn't
-        been reset yet by --default-character-set=xxx.
-      */
-      if (default_charset == drizzle_universal_client_charset)
-        default_charset= (char*) DRIZZLE_DEFAULT_CHARSET_NAME;
-      break;
     }
   }
   return 0;
@@ -739,9 +720,6 @@
             my_progname);
     return(EX_USAGE);
   }
-  if (strcmp(default_charset, charset_info->csname) &&
-      !(charset_info= get_charset_by_csname(default_charset, MY_CS_PRIMARY)))
-    exit(1);
   if ((*argc < 1 && !opt_alldbs) || (*argc > 0 && opt_alldbs))
   {
     short_usage();
@@ -2858,7 +2836,6 @@
   drizzle_result_st result;
 
   compatible_mode_normal_str[0]= 0;
-  default_charset= (char *)drizzle_universal_client_charset;
   memset(&ignore_table, 0, sizeof(ignore_table));
 
   exit_code= get_options(&argc, &argv);

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2009-04-12 23:43:01 +0000
+++ client/drizzleimport.cc	2009-06-30 18:09:07 +0000
@@ -56,18 +56,13 @@
 static char  *opt_password= NULL, *current_user= NULL,
     *current_host= NULL, *current_db= NULL, *fields_terminated= NULL,
     *lines_terminated= NULL, *enclosed= NULL, *opt_enclosed= NULL,
-    *escaped= NULL, *opt_columns= NULL,
-    *default_charset= (char*) DRIZZLE_DEFAULT_CHARSET_NAME;
+    *escaped= NULL, *opt_columns= NULL;
 static uint32_t opt_drizzle_port= 0;
 static char * opt_drizzle_unix_port= 0;
 static int64_t opt_ignore_lines= -1;
-static const CHARSET_INFO *charset_info= &my_charset_utf8_general_ci;
 
 static struct my_option my_long_options[] =
 {
-  {"default-character-set", OPT_DEFAULT_CHARSET,
-   "Set the default character set.", (char**) &default_charset,
-   (char**) &default_charset, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"columns", 'c',
    "Use only these columns to import the data to. Give the column names in a comma separated list. This is same as giving columns to LOAD DATA INFILE.",
    (char**) &opt_columns, (char**) &opt_columns, 0, GET_STR, REQUIRED_ARG, 0, 0, 0,
@@ -157,8 +152,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n" ,my_progname,
-    IMPORT_VERSION, drizzle_version(),SYSTEM_TYPE,MACHINE_TYPE);
+  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n" ,my_progname,
+    IMPORT_VERSION, drizzle_version(),HOST_VENDOR,HOST_OS,HOST_CPU);
 }
 
 
@@ -269,9 +264,6 @@
     fprintf(stderr, "You can't use --ignore_unique (-i) and --replace (-r) at the same time.\n");
     return(1);
   }
-  if (strcmp(default_charset, charset_info->csname) &&
-      !(charset_info= get_charset_by_csname(default_charset, MY_CS_PRIMARY)))
-    exit(1);
   if (*argc < 2)
   {
     usage();

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2009-06-08 12:55:10 +0000
+++ client/drizzleslap.cc	2009-06-30 18:09:07 +0000
@@ -707,8 +707,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname, SLAP_VERSION,
-         drizzle_version(),SYSTEM_TYPE,MACHINE_TYPE);
+  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n",my_progname, SLAP_VERSION,
+         drizzle_version(),HOST_VENDOR,HOST_OS,HOST_CPU);
 }
 
 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2009-06-29 20:32:49 +0000
+++ client/drizzletest.cc	2009-07-01 02:41:00 +0000
@@ -4623,8 +4623,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname,MTEST_VERSION,
-         drizzle_version(),SYSTEM_TYPE,MACHINE_TYPE);
+  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n",my_progname,MTEST_VERSION,
+         drizzle_version(),HOST_VENDOR,HOST_OS,HOST_CPU);
 }
 
 static void usage(void)

=== modified file 'config/autorun.sh'
--- config/autorun.sh	2009-05-29 10:53:26 +0000
+++ config/autorun.sh	2009-06-30 18:09:07 +0000
@@ -27,24 +27,26 @@
 ## jump out if one of the programs returns 'false'
 set -e
 
+RELEASE_DATE=`date +%Y.%m`
+RELEASE_DATE_NODOTS=`date +%Y%m`
 if test -d ".bzr" ; then
   echo "Grabbing changelog and version information from bzr"
   bzr log --short > ChangeLog || touch ChangeLog
   BZR_REVNO=`bzr revno`
   BZR_REVID=`bzr log -r-1 --show-ids | grep revision-id | awk '{print $2}' | head -1`
   BZR_BRANCH=`bzr nick`
-  RELEASE_DATE=`date +%Y.%m`
-  RELEASE_VERSION="${RELEASE_DATE}.${BZR_REVNO}"
-  if test "x${BZR_BRANCH}" != "xdrizzle" ; then
-    RELEASE_VERSION="${RELEASE_VERSION}-${BZR_BRANCH}"
-  fi
 else
+  touch ChangeLog
   BZR_REVNO="0"
   BZR_REVID="unknown"
   BZR_BRANCH="bzr-export"
-  RELEASE_DATE=`date +%Y.%m`
-  RELEASE_VERSION="${RELEASE_DATE}.${BZR_REVNO}"
-  touch ChangeLog
+fi
+RELEASE_VERSION="${RELEASE_DATE}.${BZR_REVNO}"
+RELEASE_ID="${RELEASE_DATE_NODOTS}${BZR_REVNO}"
+if test "x${BZR_BRANCH}" != "xdrizzle" ; then
+  RELEASE_COMMENT="${BZR_BRANCH}"
+else
+  RELEASE_COMMENT="trunk"
 fi
 
 if test -f m4/bzr_version.m4.in
@@ -53,7 +55,9 @@
       -e "s/@BZR_REVID@/${BZR_REVID}/" \
       -e "s/@BZR_BRANCH@/${BZR_BRANCH}/" \
       -e "s/@RELEASE_DATE@/${RELEASE_DATE}/" \
+      -e "s/@RELEASE_ID@/${RELEASE_ID}/" \
       -e "s/@RELEASE_VERSION@/${RELEASE_VERSION}/" \
+      -e "s/@RELEASE_COMMENT@/${RELEASE_COMMENT}/" \
     m4/bzr_version.m4.in > m4/bzr_version.m4.new
   
   if ! diff m4/bzr_version.m4.new m4/bzr_version.m4 >/dev/null 2>&1 ; then
@@ -63,6 +67,27 @@
   fi
 fi
 
+EGREP=`which egrep`
+if test "x$EGREP" != "x" -a -d po
+then
+  echo "# This file is auto-generated from configure. Do not edit directly" > po/POTFILES.in.in
+  # The grep -v 'drizzle-' is to exclude any distcheck leftovers
+  for f in `find . | grep -v 'drizzle-' | ${EGREP} '\.(cc|c|h|yy)$' | cut -c3- | sort`
+  do
+    if grep gettext.h "$f" | grep include >/dev/null 2>&1
+    then
+      echo "$f" >> po/POTFILES.in.in
+    fi
+  done
+  if ! diff po/POTFILES.in.in po/POTFILES.in >/dev/null 2>&1
+  then
+    mv po/POTFILES.in.in po/POTFILES.in
+  else
+    rm po/POTFILES.in.in
+  fi
+else
+  touch po/POTFILES.in
+fi
 
 if test x$LIBTOOLIZE = x; then
   if test \! "x`which glibtoolize 2> /dev/null | grep -v '^no'`" = x; then

=== modified file 'configure.ac'
--- configure.ac	2009-06-26 06:25:57 +0000
+++ configure.ac	2009-06-30 18:09:07 +0000
@@ -18,9 +18,7 @@
 
 
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
-
-m4_include(m4/bzr_version.m4)
-
+AC_INIT([drizzle],[RELEASE_VERSION],[http://bugs.launchpad.net/drizzle])
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
 AC_CONFIG_AUX_DIR(config)
 AC_CONFIG_HEADERS([config.h])
@@ -38,87 +36,53 @@
 CXXFLAGS=${SAVE_CXXFLAGS}
 
 AM_INIT_AUTOMAKE(nostdinc subdir-objects -Wall -Werror)
+gl_EARLY
 
 if test "x${enable_dependency_tracking}" = "x"
 then
   enable_dependency_tracking=yes
 fi
 
-gl_EARLY
-
-
-dnl Checks for programs.
+if test -d "${srcdir}/.bzr"
+then
+  building_from_bzr=yes
+else
+  building_from_bzr=no
+fi
+
 AC_PROG_CXX
 
 gl_USE_SYSTEM_EXTENSIONS
-if test "$GCC" = "yes"
-then
-  # If you're on a Mac, and you didn't ask for a specific compiler
-  # You're gonna get 4.2.
-  if test "$host_vendor" = "apple" -a "x${ac_cv_env_CC_set}" = "x"
-  then
-    CPP="/usr/bin/gcc-4.2 -E"
-    CC=/usr/bin/gcc-4.2
-    CXX=/usr/bin/g++-4.2
-  fi
-  AC_CACHE_CHECK([if GCC is recent enough], [drizzle_cv_gcc_recent],
-    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
-#if !defined(__GNUC__) || (__GNUC__ < 4) || ((__GNUC__ >= 4) && (__GNUC_MINOR__ < 1))
-# error GCC is Too Old!
-#endif
-      ]])],
-      [drizzle_cv_gcc_recent=yes],
-      [drizzle_cv_gcc_recent=no])])
-  if test "$drizzle_cv_gcc_recent" = "no" -a "$host_vendor" = "apple"
-  then
-    AC_MSG_ERROR([Your version of GCC is too old. Drizzle requires at least version 4.2 on OSX. You may need to install a version of XCode >= 3.1.2])
-  fi
-  if test "$drizzle_cv_gcc_recent" = "no"
-  then
-    AC_MSG_ERROR([Your version of GCC is too old. Drizzle requires at least version 4.1])
-  fi
-fi
+
+AC_PROG_CPP
+AM_PROG_CC_C_O
+
+CHECK_GCC_VERSION
+dnl Once we can use a modern autoconf, we can use this
+dnl AC_PROG_CC_C99
+AC_CXX_CHECK_STANDARD
 AC_CXX_HEADER_STDCXX_98
 if test "$ac_cv_cxx_stdcxx_98" = "no"
 then
   AC_MSG_ERROR([No working C++ Compiler has been found. Drizzle requires a C++ compiler that can handle C++98])
 fi
-AC_PROG_CPP
-AM_PROG_CC_C_O
-
-if test "$am_cv_prog_cc_stdc" = "no"
-then
-  AC_MSG_ERROR([Drizzle requires an ANSI C compiler (and a C++ compiler). Try gcc. See the Installation chapter in the Reference Manual.])
-fi
-
 
 
 gl_INIT
 
+AC_C_BIGENDIAN
+AC_C_CONST
+AC_C_INLINE
+AC_C_VOLATILE
+AC_HEADER_TIME
+AC_FUNC_MALLOC
+AC_FUNC_REALLOC
+
 AC_CHECK_DECL([__SUNPRO_C], [SUNCC="yes"], [SUNCC="no"])
 
-AC_PROG_GCC_TRADITIONAL
-
-
-# Set all version vars based on $VERSION. How do we do this more elegant ?
-# Remember that regexps needs to quote [ and ] since this is run through m4
-# We take some made up examples
-#
-#  VERSION                  5.1.40sp1-alpha     5.0.34a
-#  DRIZZLE_NO_DASH_VERSION    5.1.40sp1           5.0.34a
-#  DRIZZLE_NUMERIC_VERSION    5.1.40              5.0.34
-#  DRIZZLE_BASE_VERSION       5.1                 5.0
-#  DRIZZLE_VERSION_ID         50140               50034
-#
-DRIZZLE_NO_DASH_VERSION=`echo $VERSION | sed -e "s|-.*$||"`
-DRIZZLE_NUMERIC_VERSION=`echo $DRIZZLE_NO_DASH_VERSION | sed -e "s|[[a-z]][[a-z0-9]]*$||"`
-DRIZZLE_BASE_VERSION=`echo $DRIZZLE_NUMERIC_VERSION | sed -e "s|\.[[^.]]*$||"`
-DRIZZLE_VERSION_ID=`echo $DRIZZLE_NUMERIC_VERSION | \
-    awk -F. '{printf "%d%0.2d%0.2d", $1, $2, $3}'`
-AC_DEFINE_UNQUOTED(DRIZZLE_BASE_VERSION,["$DRIZZLE_BASE_VERSION"],
-                   [Major and minor version])
-AC_DEFINE_UNQUOTED([DRIZZLE_VERSION_ID],[$DRIZZLE_VERSION_ID],
-		   [Version ID that can be easily used for numeric comparison])
+# Version with no dots
+AC_DEFINE([DRIZZLE_VERSION_ID],[RELEASE_ID],
+	  [Version ID that can be easily used for numeric comparison])
 
 AC_DEFINE([_BACKWARD_BACKWARD_WARNING_H],[1],[Hack to disable deprecation warning in gcc])
 
@@ -137,29 +101,13 @@
 
 # Canonicalize the configuration name.
 
-# Check whether --with-system-type or --without-system-type was given.
-AC_ARG_WITH([system-type],
-    [AS_HELP_STRING([--with-system-type],
-       [Set the system type, like "sun-solaris10"])],
-    [SYSTEM_TYPE="$withval"],
-    [SYSTEM_TYPE="$host_vendor-$host_os"])
-AC_ARG_WITH([machine-type],
-    [AS_HELP_STRING([--with-machine-type],
-       [Set the machine type, like "sparc"])],
-    [MACHINE_TYPE="$withval"],
-    [MACHINE_TYPE="$host_cpu"])
-AC_SUBST(SYSTEM_TYPE)
-AC_DEFINE_UNQUOTED([SYSTEM_TYPE], ["$SYSTEM_TYPE"],
-                   [Name of system, eg sun-solaris])
-AC_SUBST(MACHINE_TYPE)
-AC_DEFINE_UNQUOTED([MACHINE_TYPE], ["$MACHINE_TYPE"],
-                   [Machine type name, eg sparc])
+AC_DEFINE_UNQUOTED([HOST_VENDOR], ["$host_vendor"],[Vendor of Build System])
+AC_DEFINE_UNQUOTED([HOST_OS], ["$host_os"], [OS of Build System])
+AC_DEFINE_UNQUOTED([HOST_CPU], ["$host_cpu"], [CPU of Build System])
 
-# Detect intel x86 like processor
-BASE_MACHINE_TYPE=$MACHINE_TYPE
-case $MACHINE_TYPE in
-  i?86) BASE_MACHINE_TYPE=i386 ;;
-esac
+AC_DEFINE_UNQUOTED([TARGET_VENDOR], ["$target_vendor"],[Vendor of Target System])
+AC_DEFINE_UNQUOTED([TARGET_OS], ["$target_os"], [OS of Target System])
+AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
 
 
 case "$target_os" in
@@ -187,9 +135,6 @@
 
 AC_SYS_LARGEFILE
 
-AC_PROG_AWK
-
-
 AC_PATH_PROG(GPERF, gperf)
 AS_IF([test "x$GPERF" = "x"],
       AC_MSG_ERROR("Drizzle requires gperf to build."))
@@ -199,47 +144,37 @@
 
 AM_CONDITIONAL(HAVE_LCOV,[test "x$LCOV" != "x"])
 
-AC_SUBST(NM)dnl
-
-AC_PROG_INSTALL
-
-dnl Not critical since the generated file is distributed
 AC_CHECK_PROGS(YACC, ['bison -y'])
-if test -z "$YACC" && test -d "$srcdir/.bzr"
+if test -z "$YACC" && test "$building_from_bzr" = "yes"
 then
   AC_MSG_ERROR(["bison is required for Drizzle to build from a bzr branch"])
 fi
 
-AC_CHECK_PROGS(ISAINFO, [isainfo], [no])
-AS_IF([test "x$ISAINFO" != "xno"],
-      [isainfo_b=`isainfo -b`],
-      [isainfo_b="x"])
 
 # Build optimized or debug version ?
 # First check for gcc and g++
 if test "$GCC" = "yes"
 then
-  if test "$isainfo_b" = "64"
-  then
-    IS_64="-m64"
-  fi
+
   AC_DEFINE([_GNU_SOURCE],[1],[Fix problem with S_ISLNK() on Linux])
 
   dnl The following is required for portable results of floating point 
   dnl calculations on PowerPC. The same must also be done for IA-64, but 
   dnl this options is missing in the IA-64 gcc backend.
-  case "$host_cpu" in
+  case "$target_cpu" in
     *ppc* | *powerpc*)
-      CFLAGS="-mno-fused-madd ${CFLAGS}"
-      CXXFLAGS="-mno-fused-madd ${CXXFLAGS}"
+      AM_CFLAGS="-mno-fused-madd ${AM_CFLAGS}"
+      AM_CXXFLAGS="-mno-fused-madd ${AM_CXXFLAGS}"
     ;;
   esac
 
-  CFLAGS="-ggdb3 ${IS_64} -std=gnu99 ${CFLAGS}"
-  CXXFLAGS="-ggdb3  ${IS_64} ${CXXFLAGS}"
-  AC_CXX_CHECK_STANDARD
+  dnl Once we can use a modern autoconf, we can replace the std=gnu99 here
+  dnl with using AC_CC_STD_C99 above
+  CC="${CC} -std=gnu99"
+
+  AM_CFLAGS="-ggdb3 ${AM_CFLAGS}"
+  AM_CXXFLAGS="-ggdb3 ${AM_CXXFLAGS}"
   
-
   DEBUG_CFLAGS="-O0"
   DEBUG_CXXFLAGS="-O0"
 
@@ -248,43 +183,20 @@
 fi
 if test "$SUNCC" = "yes"
 then
-  if test "$isainfo_b" = "64"
-  then
-    IS_64="-m64"
-  fi
-  dnl we put CPPFLAGS and LDFLAGS first here, because if the user has specified
-  dnl command line CPPFLAGS or LDFLAGS, their -I or -L should come _first_
-  if test "$target_cpu" = "sparc"
-  then
-    MEMALIGN_FLAGS="-xmemalign=8s"
-  fi
-
-  if test "x$use_additional" != "xyes"
-  then
-    AS_IF([test "$isainfo_b" != "none"],[
-      LDFLAGS="${LDFLAGS} -L/usr/local/lib/${isainfo_b} -L/usr/local/lib -L/opt/csw/lib/${isainfo_b} -L/opt/csw/lib"
-      ],[
-      LDFLAGS="${LDFLAGS} -L/usr/local/lib -L/opt/csw/lib"
-      ])
-      CPPFLAGS="${CPPFLAGS} -I/usr/local/include -I/opt/csw/include"
-  fi
-  AS_IF([test "$isainfo_b" != "none"],
-        [LDFLAGS="${LDFLAGS} -L/usr/lib/${isainfo_b}"])
-
-  CXXFLAGS="-xlang=c99 -g -mt -compat=5 -library=stlport4 -template=no%extdef ${IS_64} ${MEMALIGN_FLAGS} ${CXXFLAGS}"
-  CFLAGS="-g -mt -xc99=all ${IS_64} ${MEMALIGN_FLAGS} ${CFLAGS}"
-  DEBUG_CFLAGS="-xO0"
-  DEBUG_CXXFLAGS="-xO0" 
-
-  dnl TODO: -xO4 causes a Sun Studio failure in innodb... let's check back
-  dnl       in on this one.
-  OPTIMIZE_FLAGS="-xO3 -xlibmil -xdepend"
+  dnl Once we can use a modern autoconf, we can replace the -xc99=all here
+  dnl with using AC_CC_STD_C99 above
+  CC="${CC} -xc99=all"
+
+  AM_CFLAGS="-g -mt ${AM_CFLAGS}"
+  AM_CXXFLAGS="-xlang=c99 -g -mt -compat=5 -library=stlport4 -template=no%extdef ${AM_CXXFLAGS}"
+
+  OPTIMIZE_FLAGS="-xO3 -xlibmil -xdepend -xbuiltin -lmopt"
   OPTIMIZE_CFLAGS="${OPTIMIZE_FLAGS} -Xa -xstrconst"
   OPTIMIZE_CXXFLAGS="${OPTIMIZE_FLAGS}"
 
 fi
+ENABLE_64BIT
 
-m4_include(m4/gettext.m4)
 AM_GNU_GETTEXT(external, need-formatstring-macros)
 if test "x$MSGMERGE" = "x" -o "x$MSGMERGE" = "x:"
 then
@@ -323,12 +235,12 @@
 if test "$with_debug" = "yes"
 then
   # Debuging. No optimization.
-  CFLAGS="${DEBUG_CFLAGS} ${CFLAGS}"
-  CXXFLAGS="${DEBUG_CXXFLAGS} ${CXXFLAGS}"
+  AM_CFLAGS="${DEBUG_CFLAGS} ${AM_CFLAGS}"
+  AM_CXXFLAGS="${DEBUG_CXXFLAGS} ${AM_CXXFLAGS}"
 else
   # Optimized version. No debug
-  CFLAGS="${OPTIMIZE_CFLAGS} ${CFLAGS}"
-  CXXFLAGS="${OPTIMIZE_CXXFLAGS} ${CXXFLAGS}"
+  AM_CFLAGS="${OPTIMIZE_CFLAGS} ${AM_CFLAGS}"
+  AM_CXXFLAGS="${OPTIMIZE_CXXFLAGS} ${AM_CXXFLAGS}"
 fi
 
 
@@ -337,8 +249,6 @@
 AC_CXX_CINTTYPES
 AC_CXX_SHARED_PTR
 
-DRIZZLE_PROG_AR
-
 AC_LIB_PREFIX
 
 #--------------------------------------------------------------------
@@ -347,7 +257,7 @@
 
 ACX_PTHREAD(,AC_MSG_ERROR(could not find libpthread))
 LIBS="${PTHREAD_LIBS} ${LIBS}"
-CFLAGS="${PTHREAD_CFLAGS} ${CFLAGS}"
+AM_CFLAGS="${PTHREAD_CFLAGS} ${AM_CFLAGS}"
 CC="$PTHREAD_CC"
 
 #--------------------------------------------------------------------
@@ -450,6 +360,7 @@
 # Check for libdrizzle
 #--------------------------------------------------------------------
 
+AC_LANG_PUSH(C++)
 AC_LIB_HAVE_LINKFLAGS(drizzle,,
 [#include <libdrizzle/drizzle.h>],
 [
@@ -457,6 +368,7 @@
 ])
 AS_IF([test x$ac_cv_libdrizzle = xno],
       AC_MSG_ERROR([libdrizzle is required for Drizzle]))
+AC_LANG_POP
 
 
 #--------------------------------------------------------------------
@@ -539,121 +451,8 @@
 ])
 
 
-dnl Find paths to some shell programs
-AC_PATH_PROG(LN, ln, ln)
-# This must be able to take a -f flag like normal unix ln.
-AC_PATH_PROG(LN_CP_F, ln, ln)
-
-AC_PATH_PROG(MV, mv, mv)
-AC_PATH_PROG(RM, rm, rm)
-AC_PATH_PROG(CP, cp, cp)
-AC_PATH_PROG(SED, sed, sed)
-AC_PATH_PROG(CMP, cmp, cmp)
-AC_PATH_PROG(CHMOD, chmod, chmod)
-AC_PATH_PROG(HOSTNAME, hostname, hostname)
-# Check for a GNU tar named 'gtar', or 'gnutar' (MacOS X) and
-# fall back to 'tar' otherwise and hope that it's a GNU tar as well
-AC_CHECK_PROGS(TAR, gnutar gtar tar)
-
-dnl We use a path for perl so the script startup works
-dnl We make sure to use perl, not perl5, in hopes that the RPMs will
-dnl not depend on the perl5 binary being installed (probably a bug in RPM)
 AC_PATH_PROG(PERL, perl, no)
-if test "$PERL" != "no" && $PERL -e 'require 5' > /dev/null 2>&1
-then
-  PERL5=$PERL
-else
-  AC_PATH_PROG(PERL5, perl5, no)
-  if test "$PERL5" != no
-  then
-    PERL=$PERL5
-    ac_cv_path_PERL=$ac_cv_path_PERL5
-  fi
-fi
-
-AC_SUBST(HOSTNAME)
-AC_SUBST(PERL)
-AC_SUBST(PERL5)
-
-# icheck, used for ABI check
-AC_PATH_PROG(ICHECK, icheck, no)
-# "icheck" is also the name of a file system check program on Tru64.
-# Verify the program found is really the interface checker.
-if test "x$ICHECK" != "xno"
-then
-  AC_MSG_CHECKING(if $ICHECK works as expected)
-  echo "int foo;" > conftest.h
-  $ICHECK --canonify -o conftest.ic conftest.h 2>/dev/null
-  if test -f "conftest.ic"
-  then
-    AC_MSG_RESULT(yes)
-  else
-    AC_MSG_RESULT(no)
-    ICHECK=no
-  fi
-  rm -f conftest.ic conftest.h
-fi
-AC_SUBST(ICHECK)
-
-# Lock for PS
-AC_PATH_PROG(PS, ps, ps)
-AC_MSG_CHECKING("how to check if pid exists")
-PS=$ac_cv_path_PS
-# Linux style
-if $PS p $$ 2> /dev/null | grep `echo $0 | sed s/\-//` > /dev/null
-then
-  FIND_PROC="$PS p \$\$PID | grep -v grep | grep \$\$MYSQLD > /dev/null"
-# Solaris
-elif $PS -fp $$ 2> /dev/null | grep $0 > /dev/null
-then
-  FIND_PROC="$PS -p \$\$PID | grep -v grep | grep \$\$MYSQLD > /dev/null"
-# BSD style
-elif $PS -uaxww 2> /dev/null | grep $0 > /dev/null
-then
-  FIND_PROC="$PS -uaxww | grep -v grep | grep \$\$MYSQLD | grep \" \$\$PID \" > /dev/null"
-# SysV style
-elif $PS -ef 2> /dev/null | grep $0 > /dev/null
-then
-  FIND_PROC="$PS -ef | grep -v grep | grep \$\$MYSQLD | grep \" \$\$PID \" > /dev/null"
-# Do anybody use this?
-elif $PS $$ 2> /dev/null | grep $0 > /dev/null
-then
-  FIND_PROC="$PS \$\$PID | grep -v grep | grep \$\$MYSQLD > /dev/null"
-else
-  case $SYSTEM_TYPE in
-    *freebsd*|*dragonfly*|*cygwin*)
-      FIND_PROC="$PS p \$\$PID | grep -v grep | grep \$\$MYSQLD > /dev/null"
-      ;;
-    *darwin*)
-      FIND_PROC="$PS -uaxww | grep -v grep | grep \$\$MYSQLD | grep \" \$\$PID \" > /dev/null"
-      ;;
-    *)
-      AC_MSG_ERROR([Could not find the right ps switches. Which OS is this ?. See the Installation chapter in the Reference Manual.])
-      ;;
-  esac
-fi
-AC_SUBST(FIND_PROC)
-AC_MSG_RESULT("$FIND_PROC")
-
-# Check if a pid is valid
-AC_PATH_PROG(KILL, kill, kill)
-AC_MSG_CHECKING("for kill switches")
-if $ac_cv_path_KILL -0 $$
-then
-  CHECK_PID="$ac_cv_path_KILL -0 \$\$PID > /dev/null 2> /dev/null"
-elif kill -s 0 $$
-then
-  CHECK_PID="$ac_cv_path_KILL -s 0 \$\$PID > /dev/null 2> /dev/null"
-else
-  AC_MSG_WARN([kill -0 to check for pid seems to fail])
-    CHECK_PID="$ac_cv_path_KILL -s SIGCONT \$\$PID > /dev/null 2> /dev/null"
-fi
-AC_SUBST(CHECK_PID)
-AC_MSG_RESULT("$CHECK_PID")
-
-
-# Check if we need noexec stack for assembler
-AC_CHECK_NOEXECSTACK
+
 
 AC_ARG_WITH([server-suffix],
     [AS_HELP_STRING([--with-server-suffix],
@@ -741,9 +540,6 @@
   AC_MSG_RESULT([no])
 fi
 
-# Types that must be checked AFTER large file support is checked
-AC_TYPE_SIZE_T
-
 #--------------------------------------------------------------------
 # Check for system header files
 #--------------------------------------------------------------------
@@ -864,17 +660,13 @@
 then
   COMPILATION_COMMENT=$with_comment
 else
-  COMPILATION_COMMENT="Source distribution"
+  COMPILATION_COMMENT="Source distribution (RELEASE_COMMENT)"
 fi
 AC_DEFINE_UNQUOTED([COMPILATION_COMMENT],["$COMPILATION_COMMENT"],
                    [Comment about compilation environment])
 
 dnl Checks for typedefs, structures, and compiler characteristics.
-AC_C_CONST
-AC_C_INLINE
-AC_C_VOLATILE
-AC_TYPE_OFF_T
-AC_HEADER_TIME
+
 AC_STRUCT_TM
 # off_t is not a builtin type
 AC_CHECK_SIZEOF(off_t, 4)
@@ -894,13 +686,9 @@
 DRIZZLE_CHECK_TIME_T
 
 
-# This always gives a warning. Ignore it unless you are cross compiling
-AC_C_BIGENDIAN
-
-# Find where the stack goes
-DRIZZLE_STACK_DIRECTION
 # We want to skip alloca on irix unconditionally. It may work on some version..
 DRIZZLE_FUNC_ALLOCA
+DRIZZLE_STACK_DIRECTION
 
 AC_CHECK_TYPES([sigset_t, off_t], [], [], [#include <sys/types.h>])
 AC_CHECK_TYPES([uint, ulong])
@@ -914,15 +702,10 @@
 dnl Checks for library functions.
 AC_FUNC_ALLOCA
 AC_PROG_GCC_TRADITIONAL
-AC_TYPE_SIGNAL
+
 
 AC_CHECK_FUNCS(issetugid)
 
-# from old readline settting:
-
-MAKE_SHELL=/bin/sh
-AC_SUBST(MAKE_SHELL)
-
 # Already-done: stdlib.h string.h unistd.h termios.h
 AC_CHECK_HEADERS(stdarg.h dirent.h locale.h ndir.h sys/dir.h \
  sys/ndir.h sys/select.h \
@@ -933,8 +716,6 @@
 AC_CHECK_FUNCS(lstat select)
 
 AC_HEADER_STAT
-DRIZZLE_SIGNAL_CHECK
-DRIZZLE_CHECK_GETPW_FUNCS
 DRIZZLE_HAVE_TIOCGWINSZ
 DRIZZLE_HAVE_TIOCSTAT
 
@@ -1382,8 +1163,8 @@
 then
   if test "$ac_datarace" = "yes"
   then
-    CFLAGS="-xinstrument=datarace ${CFLAGS}"
-    CXXFLAGS="-xinstrument=datarace ${CXXFLAGS}"
+    AM_CFLAGS="-xinstrument=datarace ${AM_CFLAGS}"
+    AM_CXXFLAGS="-xinstrument=datarace ${AM_CXXFLAGS}"
   fi
 
   if test "$ac_warn_fail" = "yes"
@@ -1413,15 +1194,15 @@
 then
   if test "$GCC" = "yes"
   then
-    CPPFLAGS="-isystem \$(top_srcdir)/gnulib -isystem \$(top_builddir)/gnulib ${CPPFLAGS}"
+    AM_CPPFLAGS="-isystem \$(top_srcdir)/gnulib -isystem \$(top_builddir)/gnulib ${AM_CPPFLAGS}"
   else
-    CPPFLAGS="-I\$(top_srcdir)/gnulib -I\$(top_builddir)/gnulib ${CPPFLAGS}"
+    AM_CPPFLAGS="-I\$(top_srcdir)/gnulib -I\$(top_builddir)/gnulib ${AM_CPPFLAGS}"
   fi
 fi
 
-CPPFLAGS="-I\$(top_srcdir) -I\$(top_builddir) ${CPPFLAGS}"
-CFLAGS="${CC_WARNINGS} ${CFLAGS}"
-CXXFLAGS="${CXX_WARNINGS} ${W_EXCEPTIONS} ${CXXFLAGS}"
+AM_CPPFLAGS="-I\$(top_srcdir) -I\$(top_builddir) ${AM_CPPFLAGS}"
+AM_CFLAGS="${CC_WARNINGS} ${AM_CFLAGS}"
+AM_CXXFLAGS="${CXX_WARNINGS} ${W_EXCEPTIONS} ${AM_CXXFLAGS}"
 
 dnl Must be done once we turn on warnings and such
 AC_CACHE_CHECK(
@@ -1444,18 +1225,10 @@
   [Define to 1 if you have support for __attribute__((visibility("hidden")))])
 fi
 
-AM_CPPFLAGS="${CPPFLAGS}"
-AM_CFLAGS="${CFLAGS}"
-AM_CXXFLAGS="${CXXFLAGS}"
-
 AC_SUBST([AM_CPPFLAGS])
 AC_SUBST([AM_CFLAGS])
 AC_SUBST([AM_CXXFLAGS])
 
-dnl We've collected the flags in AM_*FLAGS now, so blank these.
-CFLAGS=""
-CXXFLAGS=""
-CPPFLAGS=""
 
 AC_SUBST(pkgplugindir,"\$(pkglibdir)/plugin")
 
@@ -1492,41 +1265,13 @@
   fi
 done
 
-AC_CONFIG_COMMANDS([timestamp-h], , test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h)
-
-AC_CONFIG_COMMANDS_PRE([
-if test "x$EGREP" != "x" -a -d po
-then
-  echo "# This file is auto-generated from configure. Do not edit directly" > po/POTFILES.in.in
-  # The grep -v 'drizzle-' is to exclude any distcheck leftovers
-  for f in `find . | grep -v 'drizzle-' | ${EGREP} '\.(cc|c|h|yy)$' | cut -c3- | sort`
-  do
-    if grep gettext.h "$f" | grep include >/dev/null 2>&1
-    then
-      echo "$f" >> po/POTFILES.in.in
-    fi
-  done
-  if ! diff po/POTFILES.in.in po/POTFILES.in >/dev/null 2>&1
-  then
-    mv po/POTFILES.in.in po/POTFILES.in
-  else
-    rm po/POTFILES.in.in
-  fi
-else
-  touch po/POTFILES.in
-fi
-])
-
-# Ensure that table handlers gets all modifications to CFLAGS/CXXFLAGS
-AC_CONFIG_COMMANDS_POST(ac_configure_args="$ac_configure_args CFLAGS='$CFLAGS' CXXFLAGS='$CXXFLAGS' AM_CFLAGS='$AM_CFLAGS' AM_CXXFLAGS='$AM_CXXFLAGS'")
-
 AC_OUTPUT
 
 echo "---"
-echo "Configuration summary for $PACKAGE_NAME version $VERSION"
+echo "Configuration summary for $PACKAGE_NAME version $VERSION RELEASE_COMMENT"
 echo ""
 echo "   * Installation prefix:       $prefix"
-echo "   * System type:               $SYSTEM_TYPE"
+echo "   * System type:               $host_vendor-$host_os"
 echo "   * Host CPU:                  $host_cpu"
 echo "   * C Compiler:                $CC_VERSION"
 echo "   * C++ Compiler:              $CXX_VERSION"

=== modified file 'drizzled/data_home.h'
--- drizzled/data_home.h	2008-11-04 00:22:10 +0000
+++ drizzled/data_home.h	2009-06-30 18:09:07 +0000
@@ -21,7 +21,7 @@
 #define DRIZZLED_DATA_HOME_H
 
 extern uint32_t drizzle_data_home_len;
-extern char *drizzle_data_home,server_version[SERVER_VERSION_LENGTH],
+extern char *drizzle_data_home,
              drizzle_real_data_home[], drizzle_unpacked_real_data_home[];
 
 #endif /* DRIZZLED_DATA_HOME_H */

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-06-26 06:25:57 +0000
+++ drizzled/drizzled.cc	2009-06-30 18:09:07 +0000
@@ -342,7 +342,6 @@
 
 uint32_t drizzle_data_home_len;
 char drizzle_data_home_buff[2], *drizzle_data_home=drizzle_real_data_home;
-char server_version[SERVER_VERSION_LENGTH];
 char *drizzle_tmpdir= NULL;
 char *opt_drizzle_tmpdir= NULL;
 const char *myisam_stats_method_str="nulls_unequal";
@@ -421,7 +420,6 @@
 static void drizzle_init_variables(void);
 static void get_options(int *argc,char **argv);
 extern "C" bool drizzled_get_one_option(int, const struct my_option *, char *);
-static void set_server_version(void);
 static int init_thread_environment();
 static const char *get_relative_path(const char *path);
 static void fix_paths(void);
@@ -1142,7 +1140,7 @@
 
 
 static const char *load_default_groups[]= {
-DRIZZLE_CONFIG_NAME,"server", DRIZZLE_BASE_VERSION, 0, 0};
+DRIZZLE_CONFIG_NAME, "server", 0, 0};
 
 SHOW_VAR com_status_vars[]= {
   {"admin_commands",       (char*) offsetof(STATUS_VAR, com_other), SHOW_LONG_STATUS},
@@ -1259,7 +1257,6 @@
   defaults_argv=argv;
   defaults_argc=argc;
   get_options(&defaults_argc, defaults_argv);
-  set_server_version();
 
   current_pid=(ulong) getpid();		/* Save for later ref */
   init_time();				/* Init time-functions (read zone) */
@@ -1557,50 +1554,16 @@
   thr_kill_signal= SIGINT;
 #endif
 
-#ifdef _CUSTOMSTARTUPCONFIG_
-  if (_cust_check_startup())
-  {
-    / * _cust_check_startup will report startup failure error * /
-    exit(1);
-  }
-#endif
-
   if (init_common_variables(DRIZZLE_CONFIG_NAME,
 			    argc, argv, load_default_groups))
     unireg_abort(1);				// Will do exit
 
   init_signals();
 
-#ifdef TODO_MOVE_OUT_TO_SCHEDULER_API
-  pthread_attr_setstacksize(&connection_attrib, my_thread_stack_size);
-
-#ifdef HAVE_PTHREAD_ATTR_GETSTACKSIZE
-  {
-    /* Retrieve used stack size;  Needed for checking stack overflows */
-    size_t stack_size= 0;
-    pthread_attr_getstacksize(&connection_attrib, &stack_size);
-    /* We must check if stack_size = 0 as Solaris 2.9 can return 0 here */
-    if (stack_size && stack_size < my_thread_stack_size)
-    {
-      if (global_system_variables.log_warnings)
-      {
-            errmsg_printf(ERRMSG_LVL_WARN, _("Asked for %"PRIu64" thread stack, "
-                            "but got %"PRIu64),
-                          (uint64_t)my_thread_stack_size,
-                          (uint64_t)stack_size);
-      }
-      my_thread_stack_size= stack_size;
-    }
-  }
-#endif
-#endif
 
   select_thread=pthread_self();
   select_thread_in_use=1;
 
-  /*
-    We have enough space for fiddling with the argv, continue
-  */
   check_data_home(drizzle_real_data_home);
   if (chdir(drizzle_real_data_home) && !opt_help)
     unireg_abort(1);				/* purecov: inspected */
@@ -1652,7 +1615,7 @@
 
   init_status_vars();
 
-  errmsg_printf(ERRMSG_LVL_INFO, _(ER(ER_STARTUP)), my_progname, server_version,
+  errmsg_printf(ERRMSG_LVL_INFO, _(ER(ER_STARTUP)), my_progname, VERSION,
                 COMPILATION_COMMENT);
 
 
@@ -2368,13 +2331,12 @@
 
 static void print_version(void)
 {
-  set_server_version();
   /*
     Note: the instance manager keys off the string 'Ver' so it can find the
     version from the output of 'drizzled --version', so don't change it!
   */
-  printf("%s  Ver %s for %s on %s (%s)\n",my_progname,
-	 server_version,SYSTEM_TYPE,MACHINE_TYPE, COMPILATION_COMMENT);
+  printf("%s  Ver %s for %s-%s on %s (%s)\n",my_progname,
+	 VERSION, HOST_VENDOR, HOST_OS, HOST_CPU, COMPILATION_COMMENT);
 }
 
 static void usage(void)
@@ -2462,7 +2424,6 @@
   session_startup_options= (OPTION_AUTO_IS_NULL | OPTION_SQL_NOTES);
   refresh_version= 1L;	/* Increments on each reload */
   thread_id= 1;
-  strcpy(server_version, VERSION);
   myisam_stats_method_str= "nulls_unequal";
   session_list.clear();
   key_caches.empty();
@@ -2768,26 +2729,6 @@
   myisam_max_temp_length= INT32_MAX;
 }
 
-/*
-  Create version name for running drizzled version
-  We automaticly add suffixes -debug, -embedded and -log to the version
-  name to make the version more descriptive.
-  (DRIZZLE_SERVER_SUFFIX is set by the compilation environment)
-*/
-
-#ifdef DRIZZLE_SERVER_SUFFIX
-#define DRIZZLE_SERVER_SUFFIX_STR STRINGIFY_ARG(DRIZZLE_SERVER_SUFFIX)
-#else
-#define DRIZZLE_SERVER_SUFFIX_STR ""
-#endif
-
-static void set_server_version(void)
-{
-  char *end= server_version;
-  end+= sprintf(server_version, "%s%s", VERSION, 
-                DRIZZLE_SERVER_SUFFIX_STR);
-}
-
 
 static const char *get_relative_path(const char *path)
 {

=== modified file 'drizzled/function/str/strfunc.cc'
--- drizzled/function/str/strfunc.cc	2009-05-24 18:17:38 +0000
+++ drizzled/function/str/strfunc.cc	2009-06-30 18:09:07 +0000
@@ -30,7 +30,6 @@
 #include <zlib.h>
 #include <drizzled/query_id.h>
 #include <uuid/uuid.h>
-#include <drizzled/data_home.h>
 #include <drizzled/error.h>
 #include <drizzled/function/str/strfunc.h>
 

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-06-30 21:28:16 +0000
+++ drizzled/handler.cc	2009-07-01 02:41:00 +0000
@@ -27,7 +27,6 @@
 #include "mysys/hash.h"
 #include "drizzled/error.h"
 #include "drizzled/gettext.h"
-#include "drizzled/data_home.h"
 #include "drizzled/probes.h"
 #include "drizzled/sql_parse.h"
 #include "drizzled/cost_vect.h"

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-05-22 17:13:38 +0000
+++ drizzled/item/create.cc	2009-06-30 18:09:07 +0000
@@ -24,7 +24,6 @@
 #include <drizzled/item/create.h>
 #include <drizzled/item/func.h>
 #include <drizzled/error.h>
-#include <drizzled/data_home.h>
 
 #include <drizzled/function/str/binary.h>
 #include <drizzled/function/str/concat.h>
@@ -2792,8 +2791,8 @@
 Create_func_version::create(Session *session)
 {
   return new (session->mem_root) Item_static_string_func("version()",
-                                                         server_version,
-                                                         (uint32_t) strlen(server_version),
+                                                         VERSION,
+                                                         (uint32_t) strlen(VERSION),
                                                          system_charset_info,
                                                          DERIVATION_SYSCONST);
 }

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-06-26 19:37:44 +0000
+++ drizzled/set_var.cc	2009-07-01 02:41:00 +0000
@@ -272,13 +272,15 @@
 static sys_var_session_uint64_t	sys_tmp_table_size(&vars, "tmp_table_size",
 					   &SV::tmp_table_size);
 static sys_var_bool_ptr  sys_timed_mutexes(&vars, "timed_mutexes", &timed_mutexes);
-static sys_var_const_str	sys_version(&vars, "version", server_version);
+static sys_var_const_str	sys_version(&vars, "version", VERSION);
 static sys_var_const_str	sys_version_comment(&vars, "version_comment",
                                             COMPILATION_COMMENT);
 static sys_var_const_str	sys_version_compile_machine(&vars, "version_compile_machine",
-                                                    MACHINE_TYPE);
+                                                      HOST_CPU);
 static sys_var_const_str	sys_version_compile_os(&vars, "version_compile_os",
-                                               SYSTEM_TYPE);
+                                                 HOST_OS);
+static sys_var_const_str	sys_version_compile_vendor(&vars, "version_compile_vendor",
+                                                 HOST_VENDOR);
 static sys_var_session_uint32_t	sys_net_wait_timeout(&vars, "wait_timeout",
                                                      &SV::net_wait_timeout);
 

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-06-26 19:37:44 +0000
+++ drizzled/table.cc	2009-07-01 02:41:00 +0000
@@ -22,7 +22,6 @@
 
 #include <drizzled/sj_tmp_table.h>
 #include <drizzled/nested_join.h>
-#include <drizzled/data_home.h>
 #include <drizzled/sql_parse.h>
 #include <drizzled/item/sum.h>
 #include <drizzled/table_list.h>

=== modified file 'extra/my_print_defaults.cc'
--- extra/my_print_defaults.cc	2009-05-24 23:54:21 +0000
+++ extra/my_print_defaults.cc	2009-06-30 18:09:07 +0000
@@ -77,8 +77,8 @@
 
 static void usage(bool version)
 {
-  printf("%s  Ver 1.6 for %s at %s\n",my_progname,SYSTEM_TYPE,
-	 MACHINE_TYPE);
+  printf("%s  Ver 1.6 for %s-%s at %s\n",my_progname,HOST_VENDOR,HOST_OS,
+	 HOST_CPU);
   if (version)
     return;
   puts("This software comes with ABSOLUTELY NO WARRANTY. This is free software,\nand you are welcome to modify and redistribute it under the GPL license\n");

=== added file 'm4/64bit.m4'
--- m4/64bit.m4	1970-01-01 00:00:00 +0000
+++ m4/64bit.m4	2009-06-30 18:09:07 +0000
@@ -0,0 +1,36 @@
+dnl ---------------------------------------------------------------------------
+dnl Macro: ENABLE_64BIT
+dnl ---------------------------------------------------------------------------
+AC_DEFUN([ENABLE_64BIT],[
+
+  AC_CHECK_PROGS(ISAINFO, [isainfo], [no])
+  AS_IF([test "x$ISAINFO" != "xno"],
+        [isainfo_b=`${ISAINFO} -b`],
+        [isainfo_b="x"])
+
+  AS_IF([test "$isainfo_b" != "x"],
+        [AC_ARG_ENABLE([64bit],
+             [AS_HELP_STRING([--disable-64bit],
+                [Build 64 bit binary @<:@default=on@:>@])],
+             [ac_enable_64bit="$enableval"],
+             [ac_enable_64bit="yes"])])
+
+  AS_IF([test "x$ac_enable_64bit" = "xyes"],[
+         if test "x$libdir" = "x\${exec_prefix}/lib" ; then
+           # The user hasn't overridden the default libdir, so we'll 
+           # the dir suffix to match solaris 32/64-bit policy
+           isainfo_k=`${ISAINFO} -k` 
+           libdir="${libdir}/${isainfo_k}"
+         fi
+         CPPFLAGS="-m64 ${CPPFLAGS}"
+         LDFLAGS="-m64 ${LDFLAGS}"
+         if test "$target_cpu" = "sparc" -a "x$SUNCC" = "xyes"
+         then
+            AM_CFLAGS="-xmemalign=8s ${AM_CFLAGS}"
+            AM_CXXFLAGS="-xmemalign=8s ${AM_CXXFLAGS}"
+         fi
+       ])
+])
+dnl ---------------------------------------------------------------------------
+dnl End Macro: ENABLE_64BIT
+dnl ---------------------------------------------------------------------------

=== added file 'm4/ac_cxx_compile_stdcxx_0x.m4'
--- m4/ac_cxx_compile_stdcxx_0x.m4	1970-01-01 00:00:00 +0000
+++ m4/ac_cxx_compile_stdcxx_0x.m4	2009-06-30 18:09:07 +0000
@@ -0,0 +1,103 @@
+# ===========================================================================
+#        http://autoconf-archive.cryp.to/ac_cxx_compile_stdcxx_0x.html
+# ===========================================================================
+#
+# SYNOPSIS
+#
+#   AC_CXX_COMPILE_STDCXX_0X
+#
+# DESCRIPTION
+#
+#   Check for baseline language coverage in the compiler for the C++0x
+#   standard.
+#
+# LICENSE
+#
+#   Copyright (c) 2008 Benjamin Kosnik <bkoz@redhat.com>
+#
+#   Copying and distribution of this file, with or without modification, are
+#   permitted in any medium without royalty provided the copyright notice
+#   and this notice are preserved.
+
+AC_DEFUN([AC_CXX_COMPILE_STDCXX_0X], [
+  AC_CACHE_CHECK(if g++ supports C++0x features without additional flags,
+  ac_cv_cxx_compile_cxx0x_native,
+  [AC_LANG_SAVE
+  AC_LANG_CPLUSPLUS
+  AC_TRY_COMPILE([
+  template <typename T>
+    struct check
+    {
+      static_assert(sizeof(int) <= sizeof(T), "not big enough");
+    };
+
+    typedef check<check<bool>> right_angle_brackets;
+
+    int a;
+    decltype(a) b;
+
+    typedef check<int> check_type;
+    check_type c;
+    check_type&& cr = c;],,
+  ac_cv_cxx_compile_cxx0x_native=yes, ac_cv_cxx_compile_cxx0x_native=no)
+  AC_LANG_RESTORE
+  ])
+
+  AC_CACHE_CHECK(if g++ supports C++0x features with -std=c++0x,
+  ac_cv_cxx_compile_cxx0x_cxx,
+  [AC_LANG_SAVE
+  AC_LANG_CPLUSPLUS
+  ac_save_CXXFLAGS="$CXXFLAGS"
+  CXXFLAGS="$CXXFLAGS -std=c++0x"
+  AC_TRY_COMPILE([
+  template <typename T>
+    struct check
+    {
+      static_assert(sizeof(int) <= sizeof(T), "not big enough");
+    };
+
+    typedef check<check<bool>> right_angle_brackets;
+
+    int a;
+    decltype(a) b;
+
+    typedef check<int> check_type;
+    check_type c;
+    check_type&& cr = c;],,
+  ac_cv_cxx_compile_cxx0x_cxx=yes, ac_cv_cxx_compile_cxx0x_cxx=no)
+  CXXFLAGS="$ac_save_CXXFLAGS"
+  AC_LANG_RESTORE
+  ])
+
+  AC_CACHE_CHECK(if g++ supports C++0x features with -std=gnu++0x,
+  ac_cv_cxx_compile_cxx0x_gxx,
+  [AC_LANG_SAVE
+  AC_LANG_CPLUSPLUS
+  ac_save_CXXFLAGS="$CXXFLAGS"
+  CXXFLAGS="$CXXFLAGS -std=gnu++0x"
+  AC_TRY_COMPILE([
+  template <typename T>
+    struct check
+    {
+      static_assert(sizeof(int) <= sizeof(T), "not big enough");
+    };
+
+    typedef check<check<bool>> right_angle_brackets;
+
+    int a;
+    decltype(a) b;
+
+    typedef check<int> check_type;
+    check_type c;
+    check_type&& cr = c;],,
+  ac_cv_cxx_compile_cxx0x_gxx=yes, ac_cv_cxx_compile_cxx0x_gxx=no)
+  CXXFLAGS="$ac_save_CXXFLAGS"
+  AC_LANG_RESTORE
+  ])
+
+  if test "$ac_cv_cxx_compile_cxx0x_native" = yes ||
+     test "$ac_cv_cxx_compile_cxx0x_cxx" = yes ||
+     test "$ac_cv_cxx_compile_cxx0x_gxx" = yes; then
+    AC_DEFINE(HAVE_STDCXX_0X,,[Define if g++ supports C++0x features. ])
+  fi
+])

=== modified file 'm4/bzr_version.m4.in'
--- m4/bzr_version.m4.in	2009-03-02 23:14:32 +0000
+++ m4/bzr_version.m4.in	2009-06-30 18:09:07 +0000
@@ -1,8 +1,9 @@
 dnl We do this here, rather than in configure.ac, so that if it doesn't change
 dnl nothing has to be rebuilt or anything
-BZR_REVNO=@BZR_REVNO@
-BZR_REVID=@BZR_REVID@
-BZR_BRANCH=@BZR_BRANCH@
-RELEASE_DATE=@RELEASE_DATE@
-RELEASE_VERSION=@RELEASE_VERSION@
-AC_INIT([drizzle],[@RELEASE_VERSION@],[http://bugs.launchpad.net/drizzle])
+AC_DEFUN([BZR_REVNO],[@BZR_REVNO@])
+AC_DEFUN([BZR_REVID],[@BZR_REVID@])
+AC_DEFUN([BZR_BRANCH],[@BZR_BRANCH@])
+AC_DEFUN([RELEASE_DATE],[@RELEASE_DATE@])
+AC_DEFUN([RELEASE_VERSION],[@RELEASE_VERSION@])
+AC_DEFUN([RELEASE_COMMENT],[@RELEASE_COMMENT@])
+AC_DEFUN([RELEASE_ID],[@RELEASE_ID@])

=== added file 'm4/check_gcc_version.m4'
--- m4/check_gcc_version.m4	1970-01-01 00:00:00 +0000
+++ m4/check_gcc_version.m4	2009-06-30 18:13:37 +0000
@@ -0,0 +1,30 @@
+AC_DEFUN([FORCE_MAC_GCC42],
+  [AS_IF([test "$GCC" = "yes"],[
+    dnl If you're on a Mac, and you didn't ask for a specific compiler
+    dnl You're gonna get 4.2.
+    AS_IF([test "$host_vendor" = "apple" -a "x${ac_cv_env_CC_set}" = "x"],[
+      AS_IF([test -f /usr/bin/gcc-4.2],
+        [
+          CPP="/usr/bin/gcc-4.2 -E"
+          CC=/usr/bin/gcc-4.2
+          CXX=/usr/bin/g++-4.2
+        ])
+    ])
+  ])
+])
+
+AC_DEFUN([CHECK_GCC_VERSION],[
+  AC_REQUIRE([FORCE_MAC_GCC42])
+  AC_CACHE_CHECK([if GCC is recent enough], [ac_cv_gcc_recent],
+    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+#if !defined(__GNUC__) || (__GNUC__ < 4) || ((__GNUC__ >= 4) && (__GNUC_MINOR__ < 1))
+# error GCC is Too Old!
+#endif
+      ]])],
+      [ac_cv_gcc_recent=yes],
+      [ac_cv_gcc_recent=no])])
+  AS_IF([test "$ac_cv_gcc_recent" = "no" -a "$host_vendor" = "apple"],
+    AC_MSG_ERROR([Your version of GCC is too old. At least version 4.2 is required on OSX. You may need to install a version of XCode >= 3.1.2]))
+  AS_IF([test "$drizzle_cv_gcc_recent" = "no"],
+    AC_MSG_ERROR([Your version of GCC is too old. At least version 4.1 is required]))
+])

=== removed file 'm4/compiler_flag.m4'
--- m4/compiler_flag.m4	2008-06-25 05:29:13 +0000
+++ m4/compiler_flag.m4	1970-01-01 00:00:00 +0000
@@ -1,62 +0,0 @@
-# option, cache_name, variable,
-# code to execute if yes, code to exectute if fail
-AC_DEFUN([AC_SYS_COMPILER_FLAG],
-[
-  AC_MSG_CHECKING($1)
-  OLD_CFLAGS="[$]CFLAGS"
-  AC_CACHE_VAL(mysql_cv_option_$2,
-  [
-    CFLAGS="[$]OLD_CFLAGS $1"
-    AC_TRY_LINK([int main(){exit(0);}],mysql_cv_option_$2=yes,mysql_cv_option_$2=no,mysql_cv_option_$2=no)
- ])
-
-  CFLAGS="[$]OLD_CFLAGS"
-  
-  if test x"[$]mysql_cv_option_$2" = "xyes" ; then
-    $3="[$]$3 $1"
-    AC_MSG_RESULT(yes)
-    $5
-  else
-    AC_MSG_RESULT(no)
-    $4
-  fi
-])
-
-# arch, option, cache_name, variable
-AC_DEFUN([AC_SYS_CPU_COMPILER_FLAG],
-[
- if test "`uname -m 2>/dev/null`" = "$1" ; then
-    AC_SYS_COMPILER_FLAG($2,$3,$4)
- fi
-])
-
-# os, option, cache_name, variable
-AC_DEFUN([AC_SYS_OS_COMPILER_FLAG],
-[
- if test "x$mysql_cv_sys_os" = "x$1" ; then
-    AC_SYS_COMPILER_FLAG($2,$3,$4)
- fi
-])
-
-AC_DEFUN([AC_CHECK_NOEXECSTACK],
-[
- AC_CACHE_CHECK(whether --noexecstack is desirable for .S files,
-		mysql_cv_as_noexecstack, [dnl
-  cat > conftest.c <<EOF
-void foo (void) { }
-EOF
-  if AC_TRY_COMMAND([${CC-cc} $CFLAGS $CPPFLAGS
-		     -S -o conftest.s conftest.c 1>&AS_MESSAGE_LOG_FD]) \
-     && grep .note.GNU-stack conftest.s >/dev/null \
-     && AC_TRY_COMMAND([${CC-cc} $CCASFLAGS $CPPFLAGS -Wa,--noexecstack
-		       -c -o conftest.o conftest.s 1>&AS_MESSAGE_LOG_FD])
-  then
-    mysql_cv_as_noexecstack=yes
-  else
-    mysql_cv_as_noexecstack=no
-  fi
-  rm -f conftest*])
- if test $mysql_cv_as_noexecstack = yes; then
-   CCASFLAGS="$CCASFLAGS -Wa,--noexecstack"
- fi
-])

=== modified file 'm4/cxx_standard.m4'
--- m4/cxx_standard.m4	2009-03-09 20:51:18 +0000
+++ m4/cxx_standard.m4	2009-06-30 18:09:07 +0000
@@ -1,22 +1,10 @@
 AC_DEFUN([AC_CXX_CHECK_STANDARD],[
-  AC_CACHE_CHECK([what C++ standard the compiler supports],
-    [ac_cv_cxx_standard],[
-    AC_LANG_PUSH(C++)
-    save_CXXFLAGS="${CXXFLAGS}"
-    CXXFLAGS="-std=gnu++0x ${CXXFLAGS}"
-    AC_COMPILE_IFELSE(
-      [AC_LANG_PROGRAM(
-        [[
-#include <string>
-
-using namespace std;
-        ]],[[
-string foo("test string");
-        ]])],
-        [ac_cv_cxx_standard="gnu++0x"],
-        [ac_cv_cxx_standard="gnu++98"])
-    CXXFLAGS="${save_CXXFLAGS}"
-    AC_LANG_POP()
-  ])
-  CXXFLAGS="-std=${ac_cv_cxx_standard} ${CXXFLAGS}"
+  AC_REQUIRE([AC_CXX_COMPILE_STDCXX_0X])
+  AS_IF([test "$GCC" = "yes"],
+        [AS_IF([test "$ac_cv_cxx_compile_cxx0x_native" = "yes"],[],
+               [AS_IF([test "$ac_cv_cxx_compile_cxx0x_gxx" = "yes"],
+                      [CXXFLAGS="-std=gnu++0x ${CXXFLAGS}"],
+                      [CXXFLAGS="-std=gnu++98"])
+               ])
+        ])
 ])

=== added file 'm4/drizzle_stack_direction.m4'
--- m4/drizzle_stack_direction.m4	1970-01-01 00:00:00 +0000
+++ m4/drizzle_stack_direction.m4	2009-06-30 18:09:07 +0000
@@ -0,0 +1,22 @@
+AC_DEFUN([DRIZZLE_STACK_DIRECTION],
+ [AC_CACHE_CHECK(stack direction for C alloca, ac_cv_c_stack_direction,
+ [AC_TRY_RUN([#include <stdlib.h>
+ int find_stack_direction ()
+ {
+   static char *addr = 0;
+   auto char dummy;
+   if (addr == 0)
+     {
+       addr = &dummy;
+       return find_stack_direction ();
+     }
+   else
+     return (&dummy > addr) ? 1 : -1;
+ }
+ int main ()
+ {
+   exit (find_stack_direction() < 0);
+ }], ac_cv_c_stack_direction=1, ac_cv_c_stack_direction=-1,
+   ac_cv_c_stack_direction=)])
+ AC_DEFINE_UNQUOTED(STACK_DIRECTION, $ac_cv_c_stack_direction)
+])dnl

=== modified file 'm4/lib-link.m4'
--- m4/lib-link.m4	2009-04-14 21:16:57 +0000
+++ m4/lib-link.m4	2009-06-30 18:09:07 +0000
@@ -1,12 +1,12 @@
-# lib-link.m4 serial 13 (gettext-0.17)
-dnl Copyright (C) 2001-2007 Free Software Foundation, Inc.
+# lib-link.m4 serial 18 (gettext-0.18)
+dnl Copyright (C) 2001-2009 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl From Bruno Haible.
 
-AC_PREREQ(2.54)
+AC_PREREQ([2.54])
 
 dnl AC_LIB_LINKFLAGS(name [, dependencies]) searches for libname and
 dnl the libraries corresponding to explicit and implicit dependencies.
@@ -18,9 +18,9 @@
 [
   AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
   AC_REQUIRE([AC_LIB_RPATH])
-  define([Name],[translit([$1],[./-], [___])])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  pushdef([Name],[translit([$1],[./-], [___])])
+  pushdef([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
+                                [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
   AC_CACHE_CHECK([how to link with lib[]$1], [ac_cv_lib[]Name[]_libs], [
     AC_LIB_LINKFLAGS_BODY([$1], [$2])
     ac_cv_lib[]Name[]_libs="$LIB[]NAME"
@@ -39,8 +39,8 @@
   dnl Also set HAVE_LIB[]NAME so that AC_LIB_HAVE_LINKFLAGS can reuse the
   dnl results of this search when this library appears as a dependency.
   HAVE_LIB[]NAME=yes
-  undefine([Name])
-  undefine([NAME])
+  popdef([NAME])
+  popdef([Name])
 ])
 
 dnl AC_LIB_HAVE_LINKFLAGS(name, dependencies, includes, testcode, [system])
@@ -57,9 +57,9 @@
 [
   AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
   AC_REQUIRE([AC_LIB_RPATH])
-  define([Name],[translit([$1],[./-], [___])])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  pushdef([Name],[translit([$1],[./-], [___])])
+  pushdef([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
+                                [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
 
   dnl Search for lib[]Name and define LIB[]NAME, LTLIB[]NAME and INC[]NAME
   dnl accordingly.
@@ -95,8 +95,8 @@
   AC_SUBST([LIB]NAME)
   AC_SUBST([LTLIB]NAME)
   AC_SUBST([LIB]NAME[_PREFIX])
-  undefine([Name])
-  undefine([NAME])
+  popdef([NAME])
+  popdef([Name])
 ])
 
 dnl Determine the platform dependent parameters needed to use rpath:
@@ -114,7 +114,7 @@
   AC_REQUIRE([AC_LIB_PROG_LD])            dnl we use $LD, $with_gnu_ld
   AC_REQUIRE([AC_CANONICAL_HOST])         dnl we use $host
   AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT]) dnl we use $ac_aux_dir
-  AC_CACHE_CHECK([for shared library run path origin], acl_cv_rpath, [
+  AC_CACHE_CHECK([for shared library run path origin], [acl_cv_rpath], [
     CC="$CC" GCC="$GCC" LDFLAGS="$LDFLAGS" LD="$LD" with_gnu_ld="$with_gnu_ld" \
     ${CONFIG_SHELL-/bin/sh} "$ac_aux_dir/config.rpath" "$host" > conftest.sh
     . ./conftest.sh
@@ -131,14 +131,35 @@
   acl_hardcode_direct="$acl_cv_hardcode_direct"
   acl_hardcode_minus_L="$acl_cv_hardcode_minus_L"
   dnl Determine whether the user wants rpath handling at all.
-  AC_ARG_ENABLE(rpath,
+  AC_ARG_ENABLE([rpath],
     [  --disable-rpath         do not hardcode runtime library paths],
     :, enable_rpath=yes)
 ])
 
-dnl AC_LIB_LINKFLAGS_BODY(name [, dependencies, system]) searches for 
-dnl libname and the libraries corresponding to explicit and 
-dnl implicit dependencies.
+dnl AC_LIB_FROMPACKAGE(name, package)
+dnl declares that libname comes from the given package. The configure file
+dnl will then not have a --with-libname-prefix option but a
+dnl --with-package-prefix option. Several libraries can come from the same
+dnl package. This declaration must occur before an AC_LIB_LINKFLAGS or similar
+dnl macro call that searches for libname.
+AC_DEFUN([AC_LIB_FROMPACKAGE],
+[
+  pushdef([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
+                                [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  define([acl_frompackage_]NAME, [$2])
+  popdef([NAME])
+  pushdef([PACK],[$2])
+  pushdef([PACKUP],[translit(PACK,[abcdefghijklmnopqrstuvwxyz./-],
+                                  [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  define([acl_libsinpackage_]PACKUP,
+    m4_ifdef([acl_libsinpackage_]PACKUP, [acl_libsinpackage_]PACKUP[[, ]],)[lib$1])
+  popdef([PACKUP])
+  popdef([PACK])
+])
+
+dnl AC_LIB_LINKFLAGS_BODY(name [, dependencies, system]) searches for
+dnl libname and the libraries corresponding to explicit and implicit
+dnl dependencies.
 dnl Sets the LIB${NAME}, LTLIB${NAME} and INC${NAME} variables.
 dnl Also, sets the LIB${NAME}_PREFIX variable to nonempty if libname was found
 dnl in ${LIB${NAME}_PREFIX}/$acl_libdirstem.
@@ -146,10 +167,14 @@
 AC_DEFUN([AC_LIB_LINKFLAGS_BODY],
 [
   AC_REQUIRE([AC_LIB_PREPARE_MULTILIB])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  pushdef([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
+                                [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  pushdef([PACK],[m4_ifdef([acl_frompackage_]NAME, [acl_frompackage_]NAME, lib[$1])])
+  pushdef([PACKUP],[translit(PACK,[abcdefghijklmnopqrstuvwxyz./-],
+                                  [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
+  pushdef([PACKLIBS],[m4_ifdef([acl_frompackage_]NAME, [acl_libsinpackage_]PACKUP, lib[$1])])
   dnl Autoconf >= 2.61 supports dots in --with options.
-  define([N_A_M_E],[m4_if(m4_version_compare(m4_defn([m4_PACKAGE_VERSION]),[2.61]),[-1],[translit([$1],[.],[_])],[$1])])
+  pushdef([P_A_C_K],[m4_if(m4_version_compare(m4_defn([m4_PACKAGE_VERSION]),[2.61]),[-1],[translit(PACK,[.],[_])],PACK)])
   dnl By default, look in $includedir and $libdir.
   use_additional=yes
   if test "x$GCC" = "xyes" -a "x$3" = "xsystem"
@@ -158,13 +183,14 @@
   else
     i_system="-I"
   fi
+
   AC_LIB_WITH_FINAL_PREFIX([
     eval additional_includedir=\"$includedir\"
     eval additional_libdir=\"$libdir\"
   ])
-  AC_LIB_ARG_WITH([lib]N_A_M_E[-prefix],
-[  --with-lib]N_A_M_E[-prefix[=DIR]  search for lib$1 in DIR/include and DIR/lib
-  --without-lib]N_A_M_E[-prefix     don't search for lib$1 in includedir and libdir],
+  AC_ARG_WITH(P_A_C_K[-prefix],
+[[  --with-]]P_A_C_K[[-prefix[=DIR]  search for ]PACKLIBS[ in DIR/include and DIR/lib
+  --without-]]P_A_C_K[[-prefix     don't search for ]PACKLIBS[ in includedir and libdir]],
 [
     if test "X$withval" = "Xno"; then
       use_additional=no
@@ -177,6 +203,10 @@
       else
         additional_includedir="$withval/include"
         additional_libdir="$withval/$acl_libdirstem"
+        if test "$acl_libdirstem2" != "$acl_libdirstem" \
+           && ! test -d "$withval/$acl_libdirstem"; then
+          additional_libdir="$withval/$acl_libdirstem2"
+        fi
       fi
     fi
 ])
@@ -335,7 +365,9 @@
               dnl Linking with a shared library. We attempt to hardcode its
               dnl directory into the executable's runpath, unless it's the
               dnl standard /usr/lib.
-              if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
+              if test "$enable_rpath" = no \
+                 || test "X$found_dir" = "X/usr/$acl_libdirstem" \
+                 || test "X$found_dir" = "X/usr/$acl_libdirstem2"; then
                 dnl No hardcoding is needed.
                 LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_so"
               else
@@ -423,7 +455,16 @@
             case "$found_dir" in
               */$acl_libdirstem | */$acl_libdirstem/)
                 basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
-                LIB[]NAME[]_PREFIX="$basedir"
+                if test "$name" = '$1'; then
+                  LIB[]NAME[]_PREFIX="$basedir"
+                fi
+                additional_includedir="$basedir/include"
+                ;;
+              */$acl_libdirstem2 | */$acl_libdirstem2/)
+                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem2/"'*$,,'`
+                if test "$name" = '$1'; then
+                  LIB[]NAME[]_PREFIX="$basedir"
+                fi
                 additional_includedir="$basedir/include"
                 ;;
             esac
@@ -484,9 +525,11 @@
                     dnl   3. if it's already present in $LDFLAGS or the already
                     dnl      constructed $LIBNAME,
                     dnl   4. if it doesn't exist as a directory.
-                    if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
+                    if test "X$additional_libdir" != "X/usr/$acl_libdirstem" \
+                       && test "X$additional_libdir" != "X/usr/$acl_libdirstem2"; then
                       haveit=
-                      if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
+                      if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem" \
+                         || test "X$additional_libdir" = "X/usr/local/$acl_libdirstem2"; then
                         if test -n "$GCC"; then
                           case $host_os in
                             linux* | gnu* | k*bsd*-gnu) haveit=yes;;
@@ -617,6 +660,11 @@
       LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }-R$found_dir"
     done
   fi
+  popdef([P_A_C_K])
+  popdef([PACKLIBS])
+  popdef([PACKUP])
+  popdef([PACK])
+  popdef([NAME])
 ])
 
 dnl AC_LIB_APPENDTOVAR(VAR, CONTENTS) appends the elements of CONTENTS to VAR,
@@ -662,7 +710,8 @@
         if test -n "$next"; then
           dir="$next"
           dnl No need to hardcode the standard /usr/lib.
-          if test "X$dir" != "X/usr/$acl_libdirstem"; then
+          if test "X$dir" != "X/usr/$acl_libdirstem" \
+             && test "X$dir" != "X/usr/$acl_libdirstem2"; then
             rpathdirs="$rpathdirs $dir"
           fi
           next=
@@ -671,7 +720,8 @@
             -L) next=yes ;;
             -L*) dir=`echo "X$opt" | sed -e 's,^X-L,,'`
                  dnl No need to hardcode the standard /usr/lib.
-                 if test "X$dir" != "X/usr/$acl_libdirstem"; then
+                 if test "X$dir" != "X/usr/$acl_libdirstem" \
+                    && test "X$dir" != "X/usr/$acl_libdirstem2"; then
                    rpathdirs="$rpathdirs $dir"
                  fi
                  next= ;;

=== modified file 'm4/lib-prefix.m4'
--- m4/lib-prefix.m4	2008-07-24 22:51:52 +0000
+++ m4/lib-prefix.m4	2009-06-30 18:09:07 +0000
@@ -1,5 +1,5 @@
-# lib-prefix.m4 serial 5 (gettext-0.15)
-dnl Copyright (C) 2001-2005 Free Software Foundation, Inc.
+# lib-prefix.m4 serial 6 (gettext-0.18)
+dnl Copyright (C) 2001-2005, 2008 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
@@ -153,33 +153,69 @@
   prefix="$acl_save_prefix"
 ])
 
-dnl AC_LIB_PREPARE_MULTILIB creates a variable acl_libdirstem, containing
-dnl the basename of the libdir, either "lib" or "lib64".
+dnl AC_LIB_PREPARE_MULTILIB creates
+dnl - a variable acl_libdirstem, containing the basename of the libdir, either
+dnl   "lib" or "lib64" or "lib/64",
+dnl - a variable acl_libdirstem2, as a secondary possible value for
+dnl   acl_libdirstem, either the same as acl_libdirstem or "lib/sparcv9" or
+dnl   "lib/amd64".
 AC_DEFUN([AC_LIB_PREPARE_MULTILIB],
 [
-  dnl There is no formal standard regarding lib and lib64. The current
-  dnl practice is that on a system supporting 32-bit and 64-bit instruction
-  dnl sets or ABIs, 64-bit libraries go under $prefix/lib64 and 32-bit
-  dnl libraries go under $prefix/lib. We determine the compiler's default
-  dnl mode by looking at the compiler's library search path. If at least
-  dnl of its elements ends in /lib64 or points to a directory whose absolute
-  dnl pathname ends in /lib64, we assume a 64-bit ABI. Otherwise we use the
-  dnl default, namely "lib".
+  dnl There is no formal standard regarding lib and lib64.
+  dnl On glibc systems, the current practice is that on a system supporting
+  dnl 32-bit and 64-bit instruction sets or ABIs, 64-bit libraries go under
+  dnl $prefix/lib64 and 32-bit libraries go under $prefix/lib. We determine
+  dnl the compiler's default mode by looking at the compiler's library search
+  dnl path. If at least one of its elements ends in /lib64 or points to a
+  dnl directory whose absolute pathname ends in /lib64, we assume a 64-bit ABI.
+  dnl Otherwise we use the default, namely "lib".
+  dnl On Solaris systems, the current practice is that on a system supporting
+  dnl 32-bit and 64-bit instruction sets or ABIs, 64-bit libraries go under
+  dnl $prefix/lib/64 (which is a symlink to either $prefix/lib/sparcv9 or
+  dnl $prefix/lib/amd64) and 32-bit libraries go under $prefix/lib.
+  AC_REQUIRE([AC_CANONICAL_HOST])
   acl_libdirstem=lib
-  searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 's,^libraries: ,,p' | sed -e 's,^=,,'`
-  if test -n "$searchpath"; then
-    acl_save_IFS="${IFS= 	}"; IFS=":"
-    for searchdir in $searchpath; do
-      if test -d "$searchdir"; then
-        case "$searchdir" in
-          */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
-          *) searchdir=`cd "$searchdir" && pwd`
-             case "$searchdir" in
-               */lib64 ) acl_libdirstem=lib64 ;;
-             esac ;;
+  acl_libdirstem2=
+  case "$host_os" in
+    solaris*)
+      dnl See Solaris 10 Software Developer Collection > Solaris 64-bit Developer's Guide > The Development Environment
+      dnl <http://docs.sun.com/app/docs/doc/816-5138/dev-env?l=en&a=view>.
+      dnl "Portable Makefiles should refer to any library directories using the 64 symbolic link."
+      dnl But we want to recognize the sparcv9 or amd64 subdirectory also if the
+      dnl symlink is missing, so we set acl_libdirstem2 too.
+      AC_CACHE_CHECK([for 64-bit host], [gl_cv_solaris_64bit],
+        [AC_RUN_IFELSE([
+           AC_LANG_PROGRAM([], [[
+             return sizeof(void*) == 8 ? 0 : 1;
+           ]])            
+           ], [gl_cv_solaris_64bit=yes], [gl_cv_solaris_64bit=no])
+        ])
+      if test $gl_cv_solaris_64bit = yes; then
+        acl_libdirstem=lib/64
+        case "$host_cpu" in
+          sparc*)        acl_libdirstem2=lib/sparcv9 ;;
+          i*86 | x86_64) acl_libdirstem2=lib/amd64 ;;
         esac
       fi
-    done
-    IFS="$acl_save_IFS"
-  fi
+      ;;
+    *)
+      searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 's,^libraries: ,,p' | sed -e 's,^=,,'`
+      if test -n "$searchpath"; then
+        acl_save_IFS="${IFS= 	}"; IFS=":"
+        for searchdir in $searchpath; do
+          if test -d "$searchdir"; then
+            case "$searchdir" in
+              */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
+              *) searchdir=`cd "$searchdir" && pwd`
+                 case "$searchdir" in
+                   */lib64 ) acl_libdirstem=lib64 ;;
+                 esac ;;
+            esac
+          fi
+        done
+        IFS="$acl_save_IFS"
+      fi
+      ;;
+  esac
+  test -n "$acl_libdirstem2" || acl_libdirstem2="$acl_libdirstem"
 ])

=== modified file 'm4/misc.m4'
--- m4/misc.m4	2009-03-18 19:18:55 +0000
+++ m4/misc.m4	2009-06-30 18:09:07 +0000
@@ -39,122 +39,7 @@
 
 #---END:
 
-# From fileutils-3.14/aclocal.m4
-
-# @defmac AC_PROG_CC_STDC
-# @maindex PROG_CC_STDC
-# @ovindex CC
-# If the C compiler in not in ANSI C mode by default, try to add an option
-# to output variable @code{CC} to make it so.  This macro tries various
-# options that select ANSI C on some system or another.  It considers the
-# compiler to be in ANSI C mode if it defines @code{__STDC__} to 1 and
-# handles function prototypes correctly.
-#
-# Patched by monty to only check if __STDC__ is defined. With the original 
-# check it's impossible to get things to work with the Sunpro compiler from
-# Workshop 4.2
-#
-# If you use this macro, you should check after calling it whether the C
-# compiler has been set to accept ANSI C; if not, the shell variable
-# @code{am_cv_prog_cc_stdc} is set to @samp{no}.  If you wrote your source
-# code in ANSI C, you can make an un-ANSIfied copy of it by using the
-# program @code{ansi2knr}, which comes with Ghostscript.
-# @end defmac
-
-AC_DEFUN([AM_PROG_CC_STDC],
-[AC_REQUIRE([AC_PROG_CC])
-AC_MSG_CHECKING(for ${CC-cc} option to accept ANSI C)
-AC_CACHE_VAL(am_cv_prog_cc_stdc,
-[am_cv_prog_cc_stdc=no
-ac_save_CC="$CC"
-# Don't try gcc -ansi; that turns off useful extensions and
-# breaks some systems' header files.
-# AIX			-qlanglvl=ansi
-# Ultrix and OSF/1	-std1
-# HP-UX			-Aa -D_HPUX_SOURCE
-# SVR4			-Xc -D__EXTENSIONS__
-# removed "-Xc -D__EXTENSIONS__" beacause sun c++ does not like it.
-for ac_arg in "" -qlanglvl=ansi -std1 "-Aa -D_HPUX_SOURCE" 
-do
-  CC="$ac_save_CC $ac_arg"
-  AC_TRY_COMPILE(
-[#if !defined(__STDC__)
-choke me
-#endif
-/* DYNIX/ptx V4.1.3 can't compile sys/stat.h with -Xc -D__EXTENSIONS__. */
-#ifdef _SEQUENT_
-# include <sys/types.h>
-# include <sys/stat.h>
-#endif
-], [
-int test (int i, double x);
-struct s1 {int (*f) (int a);};
-struct s2 {int (*f) (double a);};],
-[am_cv_prog_cc_stdc="$ac_arg"; break])
-done
-CC="$ac_save_CC"
-])
-AC_MSG_RESULT($am_cv_prog_cc_stdc)
-case "x$am_cv_prog_cc_stdc" in
-  x|xno) ;;
-  *) CC="$CC $am_cv_prog_cc_stdc" ;;
-esac
-])
-
-
-dnl Check type of signal routines (posix, 4.2bsd, 4.1bsd or v7)
-AC_DEFUN([DRIZZLE_SIGNAL_CHECK],
-[AC_REQUIRE([AC_TYPE_SIGNAL])
-AC_MSG_CHECKING(for type of signal functions)
-AC_CACHE_VAL(mysql_cv_signal_vintage,
-[
-  AC_TRY_LINK([#include <signal.h>],[
-    sigset_t ss;
-    struct sigaction sa;
-    sigemptyset(&ss); sigsuspend(&ss);
-    sigaction(SIGINT, &sa, (struct sigaction *) 0);
-    sigprocmask(SIG_BLOCK, &ss, (sigset_t *) 0);
-  ], mysql_cv_signal_vintage=posix,
-  [
-    AC_TRY_LINK([#include <signal.h>], [
-	int mask = sigmask(SIGINT);
-	sigsetmask(mask); sigblock(mask); sigpause(mask);
-    ], mysql_cv_signal_vintage=4.2bsd,
-    [
-      AC_TRY_LINK([
-	#include <signal.h>
-	void foo() { }], [
-		int mask = sigmask(SIGINT);
-		sigset(SIGINT, foo); sigrelse(SIGINT);
-		sighold(SIGINT); sigpause(SIGINT);
-        ], mysql_cv_signal_vintage=svr3, mysql_cv_signal_vintage=v7
-    )]
-  )]
-)
-])
-AC_MSG_RESULT($mysql_cv_signal_vintage)
-if test "$mysql_cv_signal_vintage" = posix; then
-AC_DEFINE(HAVE_POSIX_SIGNALS, [1],
-          [Signal handling is POSIX (sigset/sighold, etc)])
-elif test "$mysql_cv_signal_vintage" = "4.2bsd"; then
-AC_DEFINE([HAVE_BSD_SIGNALS], [1], [BSD style signals])
-elif test "$mysql_cv_signal_vintage" = svr3; then
-AC_DEFINE(HAVE_USG_SIGHOLD, [1], [sighold() is present and usable])
-fi
-])
-
-AC_DEFUN([DRIZZLE_CHECK_GETPW_FUNCS],
-[AC_MSG_CHECKING(whether programs are able to redeclare getpw functions)
-AC_CACHE_VAL(mysql_cv_can_redecl_getpw,
-[AC_TRY_COMPILE([#include <sys/types.h>
-#include <pwd.h>
-extern struct passwd *getpwent();], [struct passwd *z; z = getpwent();],
-  mysql_cv_can_redecl_getpw=yes,mysql_cv_can_redecl_getpw=no)])
-AC_MSG_RESULT($mysql_cv_can_redecl_getpw)
-if test "$mysql_cv_can_redecl_getpw" = "no"; then
-AC_DEFINE(HAVE_GETPW_DECLS, [1], [getpwent() declaration present])
-fi
-])
+
 
 AC_DEFUN([DRIZZLE_HAVE_TIOCGWINSZ],
 [AC_MSG_CHECKING(for TIOCGWINSZ in sys/ioctl.h)
@@ -206,33 +91,6 @@
  AC_DEFINE_UNQUOTED(STACK_DIRECTION, $ac_cv_c_stack_direction)
 ])dnl
 
-AC_DEFUN([DRIZZLE_CHECK_LONGLONG_TO_FLOAT],
-[
-AC_MSG_CHECKING(if conversion of int64_t to float works)
-AC_CACHE_VAL(ac_cv_conv_longlong_to_float,
-[AC_TRY_RUN([#include <stdio.h>
-#include <stdint.h>
-int main()
-{
-  int64_t ll=1;
-  float f;
-  FILE *file=fopen("conftestval", "w");
-  f = (float) ll;
-  fprintf(file,"%g\n",f);
-  fclose(file);
-  return (0);
-}], ac_cv_conv_longlong_to_float=`cat conftestval`,
-    ac_cv_conv_longlong_to_float=0,
-    ac_cv_conv_longlong_to_float="yes")])dnl  # Cross compiling, assume can convert
-if test "$ac_cv_conv_longlong_to_float" = "1" -o "$ac_cv_conv_longlong_to_float" = "yes"
-then
-  ac_cv_conv_longlong_to_float=yes
-else
-  ac_cv_conv_longlong_to_float=no
-fi
-AC_MSG_RESULT($ac_cv_conv_longlong_to_float)
-])
-
 
 dnl ---------------------------------------------------------------------------
 dnl Macro: DRIZZLE_CHECK_MAX_INDEXES
@@ -287,30 +145,6 @@
   AC_SUBST(CXX_VERSION)
 ])
 
-AC_DEFUN([DRIZZLE_PROG_AR], [
-case $CXX_VERSION in
-  MIPSpro*)
-    AR=$CXX
-    ARFLAGS="-ar -o"
-  ;;
-  *Forte*)
-    AR=$CXX
-    ARFLAGS="-xar -o"
-  ;;
-  *)
-    AC_CHECK_PROG([AR], [ar], [ar])
-    if test -z "$AR" || test "$AR" = "false"
-    then
-      AC_MSG_ERROR([You need ar to build the library])
-    fi
-    if test -z "$ARFLAGS"
-    then
-      ARFLAGS="cru"
-    fi
-esac
-AC_SUBST(AR)
-AC_SUBST(ARFLAGS)
-])
 
 dnl
 dnl  Macro to check time_t range: according to C standard
@@ -334,4 +168,3 @@
     [AC_MSG_RESULT(no)]
     )
 ])
-

=== modified file 'plugin/archive/archive_reader.cc'
--- plugin/archive/archive_reader.cc	2009-03-31 08:49:15 +0000
+++ plugin/archive/archive_reader.cc	2009-06-30 18:09:07 +0000
@@ -325,8 +325,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s, for %s (%s)\n", my_progname, SHOW_VERSION,
-         SYSTEM_TYPE, MACHINE_TYPE);
+  printf("%s  Ver %s, for %s-%s (%s)\n", my_progname, SHOW_VERSION,
+         HOST_VENDOR, HOST_OS, HOST_CPU);
 }
 
 static void get_options(int *argc, char ***argv)

=== modified file 'plugin/myisam/myisamchk.cc'
--- plugin/myisam/myisamchk.cc	2009-04-11 12:35:46 +0000
+++ plugin/myisam/myisamchk.cc	2009-06-30 18:09:07 +0000
@@ -314,8 +314,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver 2.7 for %s at %s\n", my_progname, SYSTEM_TYPE,
-	 MACHINE_TYPE);
+  printf("%s  Ver 2.7 for %s-%s at %s\n", my_progname, HOST_VENDOR, HOST_OS,
+	 HOST_CPU);
 }
 
 

=== modified file 'plugin/oldlibdrizzle/oldlibdrizzle.cc'
--- plugin/oldlibdrizzle/oldlibdrizzle.cc	2009-06-26 19:37:44 +0000
+++ plugin/oldlibdrizzle/oldlibdrizzle.cc	2009-07-01 02:41:00 +0000
@@ -21,7 +21,6 @@
 #include <drizzled/error.h>
 #include <drizzled/sql_state.h>
 #include <drizzled/session.h>
-#include <drizzled/data_home.h>
 #include "pack.h"
 #include "errmsg.h"
 #include "oldlibdrizzle.h"
@@ -708,10 +707,10 @@
     server_capabilites|= CLIENT_COMPRESS;
 #endif /* HAVE_COMPRESS */
 
-    end= buff + strlen(server_version);
+    end= buff + strlen(VERSION);
     if ((end - buff) >= SERVER_VERSION_LENGTH)
       end= buff + (SERVER_VERSION_LENGTH - 1);
-    memcpy(buff, server_version, end - buff);
+    memcpy(buff, VERSION, end - buff);
     *end= 0;
     end++;
 

=== modified file 'tests/resolve_stack_dump.cc'
--- tests/resolve_stack_dump.cc	2009-03-05 02:48:46 +0000
+++ tests/resolve_stack_dump.cc	2009-06-30 18:09:07 +0000
@@ -62,8 +62,8 @@
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname,DUMP_VERSION,
-	 VERSION,SYSTEM_TYPE,MACHINE_TYPE);
+  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n",my_progname,DUMP_VERSION,
+	 VERSION,HOST_VENDOR,HOST_OS,HOST_CPU);
 }
 
 

